#pragma once

// Fichier: Complexe.h

#include <iostream>
using namespace std;

class Complexe
{
public:
	double a,b;

	friend ostream& operator<<(ostream&,Complexe&);

	Complexe(void);
	Complexe(double a,double b);
	Complexe(Complexe & c);

	Complexe operator+(Complexe & y);
	Complexe operator-(Complexe & o);
	Complexe operator*(Complexe & r);
	Complexe operator*(double d);

	~Complexe();	// destructeur

	void afficher();
	void add(Complexe & c);
	void mul(Complexe & c);
	void sub(Complexe & c);
};
